/***************************************************************************
 *   Copyright (C) 2004-2006 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.6.1
 *   See LICENSE file that comes with this distribution
 ***************************************************************************/

#ifndef SAVEREGEXP_H
#define SAVEREGEXP_H

#include "saveregexpbase.h"

#include <qfont.h>
#include <qlineedit.h>
#include <qsettings.h>
#include <qtextedit.h>


class reSyntaxHighlighter;


class SaveRegExp : public SaveRegExpbase
{
    Q_OBJECT

public:
    SaveRegExp( QString& rx,
                QWidget* parent = 0, const char* name = 0,
                bool modal = FALSE, WFlags fl = WDestructiveClose );
    ~SaveRegExp();


signals:
    void helpRequested( const QString& ln );
    void savePatternInfo( const QString& rx, const QString& rxname);


public slots:
    virtual void accept();
    virtual void Help();
    virtual void reject();


private:
    reSyntaxHighlighter* reS;

};

#endif
